## memtailor 1.0~git20181123

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(memtailor VERSION 1.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_library(memtailor
  src/memtailor/Arena.cpp
  src/memtailor/BufferPool.cpp
  src/memtailor/MemoryBlocks.cpp
  src/memtailor/Arena.h
  src/memtailor/ArenaVector.h
  src/memtailor/BufferPool.h
  src/memtailor/MemoryBlocks.h
  )

target_include_directories(memtailor
  PUBLIC
    src
  )

install(TARGETS memtailor ARCHIVE DESTINATION lib)
install(FILES include/memtailor.h DESTINATION include)
install(DIRECTORY src/memtailor/
  DESTINATION include/memtailor
  FILES_MATCHING PATTERN "*.h"
  PATTERN stdinc.h EXCLUDE
  )

option(PACKAGE_TESTS "Build the tests" ON)
if(PACKAGE_TESTS)
  enable_testing()
  add_executable(memtailor-gtests
    src/test/ArenaTest.cpp
    src/test/BufferPoolTest.cpp
    src/test/MemoryBlocksTest.cpp
    src/test/gtestInclude.cpp
    src/test/testMain.cpp
    )
  target_link_libraries(memtailor-gtests memtailor)
  endif()

################################
# add gtest testing ############
################################

include(FetchContent)

FetchContent_Declare(
  googletest
  GIT_REPOSITORY https://github.com/google/googletest.git
  GIT_TAG        release-1.8.0
)

FetchContent_GetProperties(googletest)
if(NOT googletest_POPULATED)
  FetchContent_Populate(googletest)
endif()

target_include_directories(memtailor-gtests
  PRIVATE
  ${googletest_SOURCE_DIR}/googletest/include
  ${googletest_SOURCE_DIR}/googletest/src
  ${googletest_SOURCE_DIR}/googletest
  )

add_test(NAME memtailor-gtests
      COMMAND memtailor-gtests
  )

## memtailor 1.0~git20130809

=== debian/changelog ===
memtailor (1.0~git20130809-5) unstable; urgency=medium

  * Update my email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 29 Aug 2015 01:37:11 -0400

memtailor (1.0~git20130809-4) unstable; urgency=medium

  * debian/control
    - Add dpkg-dev (>= 1.18.0) to Build-Depends; needed for arch-bits tags in
      symbols file.
    - Tidy using wrap-and-sort.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 28 Jun 2015 09:45:19 -0500

memtailor (1.0~git20130809-3) unstable; urgency=medium

  * debian/tests/control
    - Add pkg-config to Depends; fixes failing CI test.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Fri, 19 Jun 2015 00:49:26 -0500

memtailor (1.0~git20130809-2) unstable; urgency=medium

  * debian/libmemtailor0.symbols
    - Add arch-bits tags to certain symbols to enable builds on 32-bit
      architectures.
  * debian/tests/*
    - Add test.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 09 Jun 2015 10:18:24 -0500

memtailor (1.0~git20130809-1) unstable; urgency=low

  * Initial release (Closes: #780766).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 18 Mar 2015 01:03:13 -0500

=== debian/control ===
Source: memtailor
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.18.0),
               libgtest-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/broune/memtailor
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/memtailor.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/memtailor.git

Package: libmemtailor-dev
Section: libdevel
Architecture: any
Depends: libmemtailor0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: C++ library of special purpose memory allocators (developer tools)
 Memtailor is a C++ library of special purpose memory allocators. It currently
 offers an arena allocator and a memory pool.
 .
 This package contains the developer tools.

Package: libmemtailor0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C++ library of special purpose memory allocators (shared library)
 Memtailor is a C++ library of special purpose memory allocators. It currently
 offers an arena allocator and a memory pool.
 .
 This package contains the shared library.

Package: libmemtailor-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmemtailor0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: C++ library of special purpose memory allocators (debug symbols)
 Memtailor is a C++ library of special purpose memory allocators. It currently
 offers an arena allocator and a memory pool.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- GTEST_PATH=/usr/src

override_dh_strip:
	dh_strip --dbg-package=libmemtailor-dbg

get-orig-source:
	wget https://github.com/broune/memtailor/archive/master.tar.gz
	git checkout upstream
	git pull https://github.com/broune/memtailor
	grep -Po '(?<=AC_INIT\(\[memtailor\], \[).*(?=\]\))' configure.ac \
		> version
	git show HEAD^:configure.ac | \
		grep -Po '(?<=AC_INIT\(\[memtailor\], \[).*(?=\]\))' > oldversion
	if test `cat oldversion` = `cat version` ; then \
		echo "`cat version`~git`date -d @\`git log -1 --pretty=format:%ct\` +%Y%m%d`" > version; \
	fi
	git checkout master
	mv -v master.tar.gz ../memtailor_`cat version`.orig.tar.gz
	rm version oldversion

=== debian/tests/control ===
Tests: build
Depends: libmemtailor-dev, build-essential, pkg-config

=== debian/watch ===
# Upstream does not currently tag their releases.  However, if they do in the
# future, something similar to the following should work.
# version=3
# https://github.com/broune/memtailor/tags \
# /broune/memtailor/archive/memtailor-(.+)\.tar\.gz

## memtailor 1.0~git20160302

=== debian/changelog ===
memtailor (1.0~git20160302-1) unstable; urgency=medium

  * New upstream release.
    - Now maintained by Macaulay2 developers.
  * debian/control
    - Bump Standards-Version to 3.9.7.
    - Update Homepage.
    - Use https protocol for Vcs-Browser.
    - Drop libmemtailor-dbg package in favor of automatically generated
      memtailor-dbgsym.
  * debian/copyright
    - Update Source.
  * debian/libmemtailor0.symbols
    - Add MEMTAILOR_VERSION_STRING.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Remove override_dh_strip target; no longer needed.
    - Update get-orig-source target.
    - Update GTEST_PATH in override_dh_auto_configure target.
    - Add --enable-shared to override_dh_auto_configure target.
    - Enable all hardening flags.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 03 Mar 2016 09:11:23 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
                dh-autoreconf,
                dpkg-dev (>= 1.18.0),
                libgtest-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
-Homepage: https://github.com/broune/memtailor
+Homepage: https://github.com/Macaulay2/memtailor
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/memtailor.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/memtailor.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/memtailor.git
 
 Package: libmemtailor-dev
 Section: libdevel
@@ -33,15 +33,3 @@
  offers an arena allocator and a memory pool.
  .
  This package contains the shared library.
-
-Package: libmemtailor-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libmemtailor0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: C++ library of special purpose memory allocators (debug symbols)
- Memtailor is a C++ library of special purpose memory allocators. It currently
- offers an arena allocator and a memory pool.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- GTEST_PATH=/usr/src
-
-override_dh_strip:
-	dh_strip --dbg-package=libmemtailor-dbg
+	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared
 
 get-orig-source:
-	wget https://github.com/broune/memtailor/archive/master.tar.gz
+	wget https://github.com/Macaulay2/memtailor/archive/master.tar.gz
 	git checkout upstream
-	git pull https://github.com/broune/memtailor
+	git pull https://github.com/Macaulay2/memtailor
 	grep -Po '(?<=AC_INIT\(\[memtailor\], \[).*(?=\]\))' configure.ac \
 		> version
 	git show HEAD^:configure.ac | \

## memtailor 1.0~git20160311

=== debian/changelog ===
memtailor (1.0~git20160311-2) unstable; urgency=medium

  * debian/tests/control
    - Add build-essential to Depends.  Tests were failing with
      'g++: Command not found'.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 14 Jul 2018 09:04:01 -0400

memtailor (1.0~git20160311-1) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Drop dh-autoreconf from Build-Depends; default since debhelper 10.
    - Drop dpkg-dev (>= 1.18.0) from Build-Depends; debhelper depends on a
      higher version.
    - Bump Standards-Version to 4.1.5.
    - Update Vcs-* links to Salsa.
  * debian/copyright
    - Use https in Format.
  * debian/rules
    - Remove explicit call to dh_autoreconf; default since debhelper 10.
    - Drop get-orig-source target; replaced by uscan.
  * debian/tests
    - Replace smoke test with upstream unit tests.
  * debian/upstream/metadata
    - New file; add DEP-12 upstream metadata.
  * debian/watch
    - Use uscan with git mode to obtain upstream tarball.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 05 Jul 2018 15:23:25 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.18.0),
-               libgtest-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 11), libgtest-dev
+Standards-Version: 4.1.5
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/memtailor.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/memtailor.git
+Vcs-Browser: https://salsa.debian.org/science-team/memtailor
+Vcs-Git: https://salsa.debian.org/science-team/memtailor.git
 
 Package: libmemtailor-dev
 Section: libdevel

=== debian/tests/control ===
Tests: unittest
Depends: @, build-essential, pkg-config, libgtest-dev

## memtailor 1.0~git20181123

=== debian/changelog ===
memtailor (1.0~git20181123-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:39 +0100

memtailor (1.0~git20181123-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 21 Dec 2019 10:36:33 +0000

memtailor (1.0~git20181123-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/compat
    - Drop file; no longer necessary since we build-depend on
      debhelper-compat.
  * debian/control
    - Bump Standards-Version to 4.4.1.
    - Switch Build-Depend on debhelper to debhelper-compat, specifying
      compatibility level 12.
  * debian/patches/cross.patch
    - New patch; use test -e instead of AC_CHECK_FILE to enable cross
      building.  Thanks to Helmut Grohne <helmut@subdivi.de> for the
      patch. (Closes: #941402).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 07 Oct 2019 17:16:33 -0400

memtailor (1.0~git20160311-2ubuntu1) cosmic; urgency=medium

  * Allow stderr output in autopkgtests for GCC warnings on armhf

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 Jul 2018 07:32:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: memtailor
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 11), libgtest-dev
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12), libgtest-dev
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/science-team/memtailor

## memtailor 1.0~git20200526

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(memtailor VERSION 1.0 LANGUAGES CXX)

find_package(Threads 2.1 REQUIRED QUIET)

add_compile_options(
  -DPACKAGE_NAME="${PROJECT_NAME}"
  -DPACKAGE_TARNAME="${PROJECT_NAME}"
  -DPACKAGE_VERSION="${PROJECT_VERSION}"
  -DPACKAGE_STRING="${PROJECT_NAME} ${PROJECT_VERSION}"
  -DPACKAGE_BUGREPORT=""
  -DPACKAGE_URL=""
  -DPACKAGE="${PROJECT_NAME}"
  -DVERSION="${PROJECT_VERSION}"
  )

add_library(memtailor STATIC
  src/memtailor.h
  src/memtailor.cpp
  src/memtailor/Arena.cpp
  src/memtailor/BufferPool.cpp
  src/memtailor/MemoryBlocks.cpp
  src/memtailor/Arena.h
  src/memtailor/ArenaVector.h
  src/memtailor/BufferPool.h
  src/memtailor/MemoryBlocks.h
  src/memtailor/stdinc.h
  )

target_link_libraries(memtailor Threads::Threads)
target_include_directories(memtailor PUBLIC
  $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>
  $<INSTALL_INTERFACE:include>
  )

set_target_properties(memtailor PROPERTIES PUBLIC_HEADER src/memtailor.h)
install(TARGETS memtailor LIBRARY DESTINATION lib)
install(DIRECTORY src/memtailor
  DESTINATION include
  FILES_MATCHING PATTERN "*.h"
  )
install(FILES README.md license.txt
  DESTINATION licenses/memtailor
  )

include(CTest)
if(BUILD_TESTING)
  add_executable(memtailor-gtests
    src/test/ArenaTest.cpp
    src/test/BufferPoolTest.cpp
    src/test/MemoryBlocksTest.cpp
    src/test/testMain.cpp
    )

  ################################
  # add gtest testing ############
  ################################
  find_package(GTest)
  include(GoogleTest)
  gtest_discover_tests(memtailor-gtests)

  if(GTEST_FOUND)
    target_link_libraries(memtailor-gtests memtailor GTest::GTest GTest::Main)
    target_include_directories(memtailor-gtests PRIVATE ${GTEST_INCLUDE_DIR})
  else()
    include(FetchContent)
    FetchContent_Declare(googletest
      GIT_REPOSITORY https://github.com/google/googletest.git
      GIT_TAG        release-1.10.0
      )
    FetchContent_MakeAvailable(googletest)

    target_link_libraries(memtailor-gtests memtailor gtest)
    target_include_directories(memtailor-gtests PRIVATE
      ${googletest_SOURCE_DIR}/googletest/include
      ${googletest_SOURCE_DIR}/googletest/src
      ${googletest_SOURCE_DIR}/googletest
      )
  endif()
endif()

=== debian/changelog ===
memtailor (1.0~git20200526-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/libmemtailor0.symbols
    - Add Build-Depends-Package field.
  * debian/not-installed
    - Tell dh_missing that we aren't installing .la file.
  * debian/patches
    - Remove directory; only patch has been applied upstream.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/control
    - Allow stderr output in autopkgtests for GCC warnings on armhf.
      Patch by Graham Inggs <ginggs@ubuntu.com> from Ubuntu package.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 01 Jul 2020 07:27:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: memtailor
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper-compat (= 12), libgtest-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libgtest-dev
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/science-team/memtailor
 Vcs-Git: https://salsa.debian.org/science-team/memtailor.git
+Rules-Requires-Root: no
 
 Package: libmemtailor-dev
 Section: libdevel

## memtailor 1.0~git20211001

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(memtailor VERSION 1.0 LANGUAGES CXX)

find_package(Threads 2.1 REQUIRED QUIET)

add_compile_options(
  -DPACKAGE_NAME="${PROJECT_NAME}"
  -DPACKAGE_TARNAME="${PROJECT_NAME}"
  -DPACKAGE_VERSION="${PROJECT_VERSION}"
  -DPACKAGE_STRING="${PROJECT_NAME} ${PROJECT_VERSION}"
  -DPACKAGE_BUGREPORT=""
  -DPACKAGE_URL=""
  -DPACKAGE="${PROJECT_NAME}"
  )

add_subdirectory(src)

set_target_properties(memtailor PROPERTIES PUBLIC_HEADER src/memtailor.h)

install(TARGETS memtailor LIBRARY DESTINATION lib)
install(DIRECTORY src/memtailor
  DESTINATION include
  FILES_MATCHING PATTERN "*.h"
  )
install(FILES README.md license.txt
  DESTINATION licenses/memtailor
  )

=== src/CMakeLists.txt ===
if(CMAKE_BUILD_TYPE STREQUAL Debug)
  add_compile_options(-DMEMT_DEBUG)
endif()

add_library(memtailor STATIC
  memtailor.h
  memtailor.cpp
  memtailor/Arena.cpp
  memtailor/Arena.h
  memtailor/ArenaVector.h
  memtailor/BufferPool.cpp
  memtailor/BufferPool.h
  memtailor/MemoryBlocks.cpp
  memtailor/MemoryBlocks.h
  memtailor/stdinc.h
  )

target_link_libraries(memtailor Threads::Threads)

target_include_directories(memtailor PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:include>
  )

include(CTest)
if(BUILD_TESTING)
  add_executable(memtailor-unit-tests
    test/ArenaTest.cpp
    test/BufferPoolTest.cpp
    test/MemoryBlocksTest.cpp
    test/testMain.cpp
    )

  ################################
  # add gtest testing ############
  ################################
  if(NOT GTEST_FOUND)
    find_package(GTest)
  endif()
  include(GoogleTest)
  gtest_discover_tests(memtailor-unit-tests TEST_PREFIX unit-tests:)

  if(GTEST_FOUND)
    target_link_libraries(memtailor-unit-tests memtailor GTest::GTest GTest::Main)
  else()
    include(FetchContent)
    FetchContent_Declare(googletest
      GIT_REPOSITORY https://github.com/google/googletest.git
      GIT_TAG        release-1.11.0
      )
    FetchContent_MakeAvailable(googletest)

    target_link_libraries(memtailor-unit-tests memtailor gtest)
    target_include_directories(memtailor-unit-tests PRIVATE
      ${googletest_SOURCE_DIR}/googletest/include
      ${googletest_SOURCE_DIR}/googletest/src
      ${googletest_SOURCE_DIR}/googletest
      )
  endif()
endif()

=== debian/changelog ===
memtailor (1.0~git20211001-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.6.0.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 30 Sep 2021 22:29:54 -0400

memtailor (1.0~git20200709-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.5.1.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 17 Aug 2021 23:00:45 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper-compat (= 13), libgtest-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/science-team/memtailor

## memtailor 1.0~git20220104

=== debian/changelog ===
memtailor (1.0~git20220104-2) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.6.2.
  * debian/patches/c++17.patch
    - New patch; set C++ standard version to 17 for GoogleTest 1.13.0
      compatibility (Closes: #1041138).

 -- Doug Torrance <dtorrance@debian.org>  Sat, 15 Jul 2023 10:38:37 -0400

memtailor (1.0~git20220104-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Update Maintainer to Debian Math Team.
    - Update my email address; now a Debian Developer.
    - Update Vcs-* URL's (science-team -> math-team).
  * debian/copyright
    - Update my copyright years and email address.
  * debian/gbp.conf
    - New file; used DEP-14 recommended "debian/latest" for Debian branch.
  * debian/upstream/metadata
    - Add "---" for document start.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 09 Mar 2022 10:53:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: memtailor
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
-Vcs-Browser: https://salsa.debian.org/science-team/memtailor
-Vcs-Git: https://salsa.debian.org/science-team/memtailor.git
+Vcs-Browser: https://salsa.debian.org/math-team/memtailor
+Vcs-Git: https://salsa.debian.org/math-team/memtailor.git
 Rules-Requires-Root: no
 
 Package: libmemtailor-dev

## memtailor 1.0~git20230916

=== debian/changelog ===
memtailor (1.0~git20230916-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/copyright
    - Update my copyright years.
  * debian/patches/c++17.patch
    - Remove patch; applied upstream.

 -- Doug Torrance <dtorrance@debian.org>  Mon, 18 Dec 2023 23:35:46 -0500

## memtailor 1.0~git20250513

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 project(memtailor VERSION 1.0 LANGUAGES CXX)
@@ -15,6 +15,7 @@
   -DPACKAGE_BUGREPORT=""
   -DPACKAGE_URL=""
   -DPACKAGE="${PROJECT_NAME}"
+  -Wall -Wextra
   )
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
     include(FetchContent)
     FetchContent_Declare(googletest
       GIT_REPOSITORY https://github.com/google/googletest.git
-      GIT_TAG        release-1.11.0
+      GIT_TAG        v1.16.0
       )
     FetchContent_MakeAvailable(googletest)

=== debian/changelog ===
memtailor (1.0~git20250513-1) unstable; urgency=medium

  * New upstream release (git snapshot).
  * debian/control
    - Bump Standards-Version to 4.7.2
  * debian/copyright
    - Bump my copyright years.
  * debian/tests/unittest
    - Update build for continuous integration tests now that we link
      against googletest instead of compiling it.

 -- Doug Torrance <dtorrance@debian.org>  Sat, 23 Aug 2025 11:57:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtest-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/math-team/memtailor

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- GTEST_PATH=/usr/src/gtest --enable-shared

=== debian/tests/control ===
Tests: unittest
Depends: @, build-essential, pkg-config, libgtest-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pretty=1.0~git%cd" \
https://github.com/Macaulay2/memtailor HEAD

## memtailor 1.1

=== debian/changelog ===
memtailor (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove redundant Rules-Requires-Root field.
  * debian/gbp.conf
    - Set pristine-tar to True.
  * debian/rules
    - Stop passing GTEST_PATH to configure; no longer necessary.
  * debian/watch
    - Update to use tarball on GitHub releases page.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 11 Dec 2025 17:37:33 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/math-team/memtailor
 Vcs-Git: https://salsa.debian.org/math-team/memtailor.git
-Rules-Requires-Root: no
 
 Package: libmemtailor-dev
 Section: libdevel

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/memtailor/releases \
https://github.com/Macaulay2/memtailor/releases/download/v.*/memtailor-@ANY_VERSION@@ARCHIVE_EXT@

## memtailor 1.2

=== debian/changelog ===
memtailor (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Drop Priority field; "optional" is now the default.
    - Bump Standards-Version to 4.7.3.
  * debian/copyright
    - Update my copyright years.
  * debian/watch
    - Update URL regex so it isn't too greedy.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 03 Feb 2026 13:09:19 -0500

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/Macaulay2/memtailor/releases \
[^"]+/memtailor-@ANY_VERSION@@ARCHIVE_EXT@

## memtailor 1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-project(memtailor VERSION 1.0 LANGUAGES CXX)
+project(memtailor VERSION 1.3 LANGUAGES CXX)
 
 find_package(Threads 2.1 REQUIRED QUIET)

=== debian/changelog ===
memtailor (1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 25 Feb 2026 09:09:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: memtailor
-Priority: optional
 Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtest-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://github.com/Macaulay2/memtailor
 Vcs-Browser: https://salsa.debian.org/math-team/memtailor
